## python-django-celery-results 1.0.1

=== Makefile ===
PROJ=django_celery_results
PGPIDENT="Celery Security Team"
PYTHON=python
PYTEST=py.test
GIT=git
TOX=tox
ICONV=iconv
FLAKE8=flake8
FLAKEPLUS=flakeplus
PYDOCSTYLE=pydocstyle
SPHINX2RST=sphinx2rst

TESTDIR=t
SPHINX_DIR=docs/
SPHINX_BUILDDIR="${SPHINX_DIR}/_build"
README=README.rst
README_SRC="docs/templates/readme.txt"
CONTRIBUTING=CONTRIBUTING.rst
CONTRIBUTING_SRC="docs/contributing.rst"
SPHINX_HTMLDIR="${SPHINX_BUILDDIR}/html"
DOCUMENTATION=Documentation
FLAKEPLUSTARGET=2.7

all: help

help:
	@echo "docs                 - Build documentation."
	@echo "test-all             - Run tests for all supported python versions."
	@echo "distcheck ---------- - Check distribution for problems."
	@echo "  test               - Run unittests using current python."
	@echo "  lint ------------  - Check codebase for problems."
	@echo "    apicheck         - Check API reference coverage."
	@echo "    configcheck      - Check configuration reference coverage."
	@echo "    readmecheck      - Check README.rst encoding."
	@echo "    contribcheck     - Check CONTRIBUTING.rst encoding"
	@echo "    flakes --------  - Check code for syntax and style errors."
	@echo "      flakecheck     - Run flake8 on the source code."
	@echo "      flakepluscheck - Run flakeplus on the source code."
	@echo "      pep257check    - Run pydocstyle on the source code."
	@echo "readme               - Regenerate README.rst file."
	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
	@echo "clean-dist --------- - Clean all distribution build artifacts."
	@echo "  clean-git-force    - Remove all uncomitted files."
	@echo "  clean ------------ - Non-destructive clean"
	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
	@echo "    clean-docs       - Remove documentation build artifacts."
	@echo "    clean-build      - Remove setup artifacts."
	@echo "bump                 - Bump patch version number."
	@echo "bump-minor           - Bump minor version number."
	@echo "bump-major           - Bump major version number."
	@echo "release              - Make PyPI release."

clean: clean-docs clean-pyc clean-build

clean-dist: clean clean-git-force

bump:
	bumpversion patch

bump-minor:
	bumpversion minor

bump-major:
	bumpversion major

release:
	python setup.py register sdist bdist_wheel upload --sign --identity="$(PGPIDENT)"

Documentation:
	(cd "$(SPHINX_DIR)"; $(MAKE) html)
	mv "$(SPHINX_HTMLDIR)" $(DOCUMENTATION)

docs: Documentation

clean-docs:
	-rm -rf "$(SPHINX_BUILDDIR)"

lint: flakecheck apicheck configcheck readmecheck

apicheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) apicheck)

configcheck:
	true

flakecheck:
	$(FLAKE8) "$(PROJ)" "$(TESTDIR)"

flakediag:
	-$(MAKE) flakecheck

pep257check:
	$(PYDOCSTYLE) "$(PROJ)"

flakepluscheck:
	$(FLAKEPLUS) --$(FLAKEPLUSTARGET) "$(PROJ)" "$(TESTDIR)"

flakeplusdiag:
	-$(MAKE) flakepluscheck

flakes: flakediag flakeplusdiag pep257check

clean-readme:
	-rm -f $(README)

readmecheck:
	$(ICONV) -f ascii -t ascii $(README) >/dev/null

$(README):
	$(SPHINX2RST) "$(README_SRC)" --ascii > $@

readme: clean-readme $(README) readmecheck

clean-contrib:
	-rm -f "$(CONTRIBUTING)"

$(CONTRIBUTING):
	$(SPHINX2RST) "$(CONTRIBUTING_SRC)" > $@

contrib: clean-contrib $(CONTRIBUTING)

clean-pyc:
	-find . -type f -a \( -name "*.pyc" -o -name "*$$py.class" \) | xargs rm
	-find . -type d -name "__pycache__" | xargs rm -r

removepyc: clean-pyc

clean-build:
	rm -rf build/ dist/ .eggs/ *.egg-info/ .tox/ .coverage cover/

clean-git:
	$(GIT) clean -xdn

clean-git-force:
	$(GIT) clean -xdf

test-all: clean-pyc
	$(TOX)

test:
	$(PYTHON) setup.py test

cov: covbuild
	(cd $(TESTDIR); py.test -x --cov=django_celery_results --cov-report=html)

build:
	$(PYTHON) setup.py sdist bdist_wheel

distcheck: lint test clean

dist: readme contrib clean-dist build

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  apicheck   to verify that all modules are present in autodoc"
	@echo "  configcheck to verify that all modules are present in autodoc"
	@echo "  spelling   to run a spell checker on the documentation"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PROJ.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PROJ.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PROJ"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PROJ"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: apicheck
apicheck:
	$(SPHINXBUILD) -b apicheck $(ALLSPHINXOPTS) $(BUILDDIR)/apicheck

.PHONY: configcheck
configcheck:
	$(SPHINXBUILD) -b configcheck $(ALLSPHINXOPTS) $(BUILDDIR)/configcheck

.PHONY: spelling
spelling:
	SPELLCHECK=1 $(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-django-celery-results (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #871640).

 -- Michael Fladischer <fladi@debian.org>  Wed, 09 Aug 2017 07:28:31 +0200

=== debian/control ===
Source: python-django-celery-results
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python3-all,
               python3-case,
               python3-celery (>= 4.1.0),
               python3-django,
               python3-pytest,
               python3-pytest-django,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-celery
Standards-Version: 4.0.0
X-Python3-Version: >= 3.4
Homepage: https://github.com/celery/django-celery-results/
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-celery-results.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-celery-results.git

Package: python3-django-celery-results
Architecture: all
Depends: python3-django,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-django-celery-results-doc
Description: Celery result backends for Django (Python3 version)
 This extension enables you to store Celery task results using the Django ORM.
 .
 It defines a single model (django_celery_results.models.TaskResult) used to
 store task results, and you can query this database table like any other Django
 model.
 .
 This package contains the Python 3 version of the library.

Package: python-django-celery-results-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Celery result backends for Django (Documentation)
 This extension enables you to store Celery task results using the Django ORM.
 .
 It defines a single model (django_celery_results.models.TaskResult) used to
 store task results, and you can query this database table like any other Django
 model.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-celery-results

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"

## python-django-celery-results 1.0.4

=== debian/changelog ===
python-django-celery-results (1.0.4-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Michael Fladischer ]
  * New upstream release.
  * Clean up .pytest_cache/v/cache/nodeids to allow two builds in a row.
  * Fix spelling error in intersphinx patch.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.2.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.

 -- Michael Fladischer <fladi@debian.org>  Sun, 18 Nov 2018 17:48:58 +0100

=== debian/control ===
Source: python-django-celery-results
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-case,
 python3-celery (>= 4.1.0),
 python3-django,
 python3-pytest,
 python3-pytest-django,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-celery,
Standards-Version: 4.2.1
Homepage: https://github.com/celery/django-celery-results/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-celery-results
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-celery-results.git
Testsuite: autopkgtest-pkg-python

Package: python-django-celery-results-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Celery result backends for Django (Documentation)
 This extension enables you to store Celery task results using the Django ORM.
 .
 It defines a single model (django_celery_results.models.TaskResult) used to
 store task results, and you can query this database table like any other Django
 model.
 .
 This package contains the documentation.

Package: python3-django-celery-results
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-celery-results-doc,
Description: Celery result backends for Django (Python3 version)
 This extension enables you to store Celery task results using the Django ORM.
 .
 It defines a single model (django_celery_results.models.TaskResult) used to
 store task results, and you can query this database table like any other Django
 model.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs docs/.build/html
+	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html
 
 override_dh_clean:
 	rm -rf docs/.build

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-celery-results-$1/ \
https://github.com/celery/django-celery-results/releases \
/celery/django-celery-results/archive/v([\d\.]+)\.tar\.gz

## python-django-celery-results 2.0.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROJ=django_celery_results
 PGPIDENT="Celery Security Team"
 PYTHON=python
-PYTEST=py.test
+PYTEST=pytest
 GIT=git
 TOX=tox
 ICONV=iconv
@@ -141,7 +141,7 @@
 	$(PYTHON) setup.py test
 
 cov: covbuild
-	(cd $(TESTDIR); py.test -x --cov=django_celery_results --cov-report=html)
+	(cd $(TESTDIR); pytest -x --cov=django_celery_results --cov-report=html)
 
 build:
 	$(PYTHON) setup.py sdist bdist_wheel

=== debian/changelog ===
python-django-celery-results (2.0.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release (Closes: #973210).
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.
  * Set Rules-Requires-Root: no.
  * Add python3-mock to Build-Depends, required by tests.
  * Add d/upstream/metadata.
  * Add patch to skip concurrent transaction test if SQLite is used.

 -- Michael Fladischer <fladi@debian.org>  Mon, 30 Nov 2020 21:04:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: python-django-celery-results
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-case,
  python3-celery (>= 4.1.0),
  python3-django,
+ python3-mock,
  python3-pytest,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-celery,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/celery/django-celery-results/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-celery-results
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-celery-results.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-celery-results
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-celery-results.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python-django-celery-results-doc
 Section: doc

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-celery-results-$1/ \
https://github.com/celery/django-celery-results/releases \
/celery/django-celery-results/archive/v([\d\.]+)\.tar\.gz

## python-django-celery-results 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
 PROJ=django_celery_results
 PGPIDENT="Celery Security Team"
-PYTHON=python
+PYTHON=python3
 PYTEST=pytest
 GIT=git
 TOX=tox
 ICONV=iconv
 FLAKE8=flake8
-FLAKEPLUS=flakeplus
 PYDOCSTYLE=pydocstyle
 SPHINX2RST=sphinx2rst
 
@@ -19,7 +18,7 @@
 CONTRIBUTING_SRC="docs/contributing.rst"
 SPHINX_HTMLDIR="${SPHINX_BUILDDIR}/html"
 DOCUMENTATION=Documentation
-FLAKEPLUSTARGET=2.7
+
 
 all: help
 
@@ -35,7 +34,6 @@
 	@echo "    contribcheck     - Check CONTRIBUTING.rst encoding"
 	@echo "    flakes --------  - Check code for syntax and style errors."
 	@echo "      flakecheck     - Run flake8 on the source code."
-	@echo "      flakepluscheck - Run flakeplus on the source code."
 	@echo "      pep257check    - Run pydocstyle on the source code."
 	@echo "readme               - Regenerate README.rst file."
 	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
@@ -92,13 +90,8 @@
 pep257check:
 	$(PYDOCSTYLE) "$(PROJ)"
 
-flakepluscheck:
-	$(FLAKEPLUS) --$(FLAKEPLUSTARGET) "$(PROJ)" "$(TESTDIR)"
 
-flakeplusdiag:
-	-$(MAKE) flakepluscheck
-
-flakes: flakediag flakeplusdiag pep257check
+flakes: flakediag pep257check
 
 clean-readme:
 	-rm -f $(README)

=== docs/Makefile ===
--- 
+++ 
@@ -184,9 +184,9 @@
 
 .PHONY: gettext
 gettext:
-	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
-	@echo
-	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."
+	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/django_celery_results/locale
+	@echo
+	@echo "Build finished. The message catalogs are in $(BUILDDIR)/django_celery_results/locale."
 
 .PHONY: changes
 changes:

=== debian/changelog ===
python-django-celery-results (2.4.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-celery.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:05:57 +0100

python-django-celery-results (2.4.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-django-celery-results-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Oct 2022 11:40:41 +0100

python-django-celery-results (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.1.0.

 -- Michael Fladischer <fladi@debian.org>  Mon, 19 Sep 2022 11:26:29 +0000

python-django-celery-results (2.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 26 Apr 2022 16:51:56 +0000

python-django-celery-results (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add python3-psycopg2 to Build-Depends, required by tests.
  * Skip tests that require a results store during build.

 -- Michael Fladischer <fladi@debian.org>  Thu, 17 Mar 2022 14:40:53 +0000

python-django-celery-results (2.2.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1002366).
  * Update d/watch to work with github again.
  * Refresh patches.
  * Bump Standards-Version to 4.6.0.1.
  * Add python3-pytest-benchmark to Build-Depends, required by tests.
  * Remove override_dh_auto_test, handle test through standard pybuild.
  * Install testfiles using d/pybuild.testfiles.
  * Skip test_store_group_result which fails with sqlite on build.
  * Update year in d/copyright.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Sun, 23 Jan 2022 21:02:37 +0000

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,17 @@
  dh-python,
  python3-all,
  python3-case,
- python3-celery (>= 4.1.0),
+ python3-celery,
  python3-django,
  python3-mock,
+ python3-psycopg2,
  python3-pytest,
+ python3-pytest-benchmark,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-celery,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/celery/django-celery-results/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-celery-results
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-celery-results.git
@@ -30,6 +32,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Celery result backends for Django (Documentation)
  This extension enables you to store Celery task results using the Django ORM.
  .

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=django-celery-results
+export PYBUILD_TEST_ARGS=-k "not test_store_group_result and not test_retry_store_result"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -15,6 +16,3 @@
 override_dh_clean:
 	rm -rf docs/.build
 	dh_clean
-
-override_dh_auto_test:
-	dh_auto_test -- --system=custom --test-args="{interpreter} -m pytest"

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-celery-results-$1/ \
https://github.com/celery/django-celery-results/releases \
/celery/django-celery-results/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-django-celery-results 2.5.1

=== docs/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
+	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from https://www.sphinx-doc.org/)
 endif
 
 # Internal variables.

=== debian/changelog ===
python-django-celery-results (2.5.1-3) unstable; urgency=medium

  * Team Upload
  * Use dh-sequence-python3
  * Switch autopkgtest to psycopg 3.x too
    It looks like this was the very last package needing python3-psycopg2cffi

 -- Alexandre Detiste <tchet@debian.org>  Mon, 24 Feb 2025 15:01:13 +0100

python-django-celery-results (2.5.1-2.1) unstable; urgency=medium

  * Team Upload
  * Remove dependency on python3-mock & python3-case
  * Add a patch to work around FTBFS with Pytest8

 -- Alexandre Detiste <tchet@debian.org>  Wed, 15 May 2024 15:16:55 +0200

python-django-celery-results (2.5.1-2) unstable; urgency=low

  * Add patch to satisfy assinine sphinx 7.x parsing logic for copyright year
    substitution (Closes: #1042693).
  * Build using pybuild-plugin-pyproject.
  * Use python3-psycopg (3.x) instead of older python3-psycopg2 to pass Django
    requirements when running tests.
  * Copy conftest.py instead of manage.py when running autopkgtests to avoid
    triggering the benchmarks.

 -- Michael Fladischer <fladi@debian.org>  Sun, 19 Nov 2023 17:37:09 +0000

python-django-celery-results (2.5.1-1) unstable; urgency=medium

  * Use github tags instead of releases for d/watch.
  * New upstream version 2.5.1
  * Refresh patches.
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Tue, 13 Jun 2023 20:22:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
- python3-case,
  python3-celery,
  python3-django,
- python3-mock,
- python3-psycopg2,
+ python3-psycopg,
  python3-pytest,
  python3-pytest-benchmark,
  python3-pytest-django,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-celery,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/celery/django-celery-results/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-celery-results
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-celery-results.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
+X-Style: black
 
 Package: python-django-celery-results-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-celery-results
export PYBUILD_TEST_ARGS=-k "not test_store_group_result and not test_retry_store_result"

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs docs/.build/html

execute_before_dh_clean:
	rm -rf docs/.build

## python-django-celery-results 2.6.0

=== debian/changelog ===
python-django-celery-results (2.6.0-1) unstable; urgency=low

  * New upstream version 2.6.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.2.
  * Update year in d/copyright.
  * Disable more failing tests.

 -- Michael Fladischer <fladi@debian.org>  Wed, 13 Aug 2025 12:37:55 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-celery,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/celery/django-celery-results/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-celery-results
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-celery-results.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=django-celery-results
-export PYBUILD_TEST_ARGS=-k "not test_store_group_result and not test_retry_store_result"
+export PYBUILD_TEST_ARGS=-k "not test_taskresult_delete_expired and not test_on_chord_part_return_multiple_databases and not test_retry_store_result_fails and not test_retry_store_result_succeeds and not test_store_group_result"
 
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Tests:
 upstream,
Depends:
 postgresql,
 python3-all,
 python3-psycopg,
 @,
 @builddeps@,
Restrictions:
 allow-stderr,
 isolation-container,
 needs-root,

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-django-celery-results-$1/ \
https://github.com/celery/django-celery-results/tags \
/celery/django-celery-results/archive/refs/tags/v([\d\.]+)\.tar\.gz
